task BAMReadCount {

	String sample_id
	File fa
	File fai
	File bed
	File bam
	File bai
	String docker
	String cluster_config
	String disk_size

	command <<<
		bam-readcount -f ${reference} -l ${bedfile} ${bamfile} > ${sample_id}.readcount
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File BAMReadCount = "${sample_id}.readcount"
	}
}